Rotate a webhook secret
curl --request POST \
--url https://api.relayapp.im/v1/webhooks/{webhook_id}/rotate-secret \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.relayapp.im/v1/webhooks/{webhook_id}/rotate-secret"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.relayapp.im/v1/webhooks/{webhook_id}/rotate-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook": {
"id": "wh_01JZWEBHOOK",
"url": "https://agent.example/webhooks/relay",
"events": [],
"enabled": true,
"secret_prefix": "whsec_MfKQ9r8G…",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"signing_secret": "whsec_MfKQ9r8GKYqrTwjUPD8ILPZIo2LaLaSw"
}{
"error": {
"code": "invalid_request",
"message": "conversation_id is required"
}
}{
"error": {
"code": "invalid_request",
"message": "conversation_id is required"
}
}{
"error": {
"code": "invalid_request",
"message": "conversation_id is required"
}
}Events
Rotate a webhook secret
Returns a new signing secret once. For 24 hours Relay includes signatures from both the new and previous secret for zero-downtime rotation.
POST
/
v1
/
webhooks
/
{webhook_id}
/
rotate-secret
Rotate a webhook secret
Authorizations
Agent Token (rly_live_…), shown once at agent creation.
Path Parameters
Pattern:
^wh_⌘I